Package org.eclipse.jgit.errors

## Class IllegalTodoFileModification

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.IllegalTodoFileModification

All Implemented Interfaces:
  `Serializable`

    public class IllegalTodoFileModification
    extends Exception

Attempt to modify a rebase-todo file in an unsupported way

Since:
  3.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
`IllegalTodoFileModification​(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalTodoFileModification

    public IllegalTodoFileModification​(String msg)

Parameters:
  `msg` -